# Uses of Class
org.springframework.web.servlet.mvc.condition.HeadersRequestCondition

Packages that use HeadersRequestCondition
Package
Description
org.springframework.web.servlet.mvc.condition
Common MVC logic for matching incoming requests based on conditions.
org.springframework.web.servlet.mvc.method
Servlet-based infrastructure for handler method processing, building on the `org.springframework.web.method` package.

## Uses of HeadersRequestCondition in org.springframework.web.servlet.mvc.condition

Methods in org.springframework.web.servlet.mvc.condition that return HeadersRequestCondition
Modifier and Type
Method
Description
`HeadersRequestCondition`
HeadersRequestCondition.`combine(HeadersRequestCondition other)`
Returns a new instance with the union of the header expressions from "this" and the "other" instance.
`HeadersRequestCondition`
HeadersRequestCondition.`getMatchingCondition(HttpServletRequest request)`
Returns "this" instance if the request matches all expressions; or `null` otherwise.
Methods in org.springframework.web.servlet.mvc.condition with parameters of type HeadersRequestCondition
Modifier and Type
Method
Description
`HeadersRequestCondition`
HeadersRequestCondition.`combine(HeadersRequestCondition other)`
Returns a new instance with the union of the header expressions from "this" and the "other" instance.
`int`
HeadersRequestCondition.`compareTo(HeadersRequestCondition other, HttpServletRequest request)`
Compare to another condition based on header expressions.

## Uses of HeadersRequestCondition in org.springframework.web.servlet.mvc.method

Methods in org.springframework.web.servlet.mvc.method that return HeadersRequestCondition
Modifier and Type
Method
Description
`HeadersRequestCondition`
RequestMappingInfo.`getHeadersCondition()`
Return the "headers" condition of this `RequestMappingInfo`; or instance with 0 header expressions (never `null`).
Constructors in org.springframework.web.servlet.mvc.method with parameters of type HeadersRequestCondition
Modifier
Constructor
Description
``
`RequestMappingInfo(String name, PatternsRequestCondition patterns, RequestMethodsRequestCondition methods, ParamsRequestCondition params, HeadersRequestCondition headers, ConsumesRequestCondition consumes, ProducesRequestCondition produces, RequestCondition<?> custom)`
Deprecated.
as of 5.3 in favor using `RequestMappingInfo.Builder` via `RequestMappingInfo.paths(String...)`.
``
`RequestMappingInfo(PatternsRequestCondition patterns, RequestMethodsRequestCondition methods, ParamsRequestCondition params, HeadersRequestCondition headers, ConsumesRequestCondition consumes, ProducesRequestCondition produces, RequestCondition<?> custom)`
Deprecated.
as of 5.3 in favor using `RequestMappingInfo.Builder` via `RequestMappingInfo.paths(String...)`.